summaryrefslogtreecommitdiffstats
path: root/security/nss/gtests/google_test/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'security/nss/gtests/google_test/update.sh')
-rwxr-xr-xsecurity/nss/gtests/google_test/update.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/security/nss/gtests/google_test/update.sh b/security/nss/gtests/google_test/update.sh
new file mode 100755
index 0000000000..4dd8efb32b
--- /dev/null
+++ b/security/nss/gtests/google_test/update.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Use this script to update the copy of google test.
+# This won't commit any changes, so build and test afterwards.
+
+set -e
+
+if [ $# -lt 1 ]; then
+ echo "Usage: $0 <tag/commit>" 1>&2
+ exit 2
+fi
+
+cd "$(dirname "$0")"
+d=$(mktemp -d)
+trap 'rm -rf "$d"' EXIT
+../../fuzz/config/git-copy.sh https://github.com/google/googletest \
+ "$1" "$d"/googletest
+rm -rf gtest
+mv "$d"/googletest/googletest gtest
+mv "$d"/googletest/CONTRIBUTORS gtest/CONTRIBUTORS
+mv "$d"/googletest/LICENSE gtest/LICENSE
+echo "$1" > VERSION
+cat "$d"/googletest/.git-copy >> VERSION